#ifndef __SWM100_CMP_H__
#define	__SWM100_CMP_H__

#define CMP0	0
#define CMP1	1
#define CMP2	2


void CMP_Init(uint32_t CMPx,uint32_t isHYS,uint32_t toADC,uint32_t refp);		//CMP模拟比较器初始化函数，包含迟滞设置、内部参考设置等
void CMP_HYSOpen(uint32_t CMPx);				//比较器打开迟滞特性
void CMP_HYSClose(uint32_t CMPx);				//比较器关闭迟滞特性
void CMP_SetRefP(uint32_t CMPx,uint32_t refp);	//设置CMP比较器的内部参考电压
uint32_t CMP_GetRefP(uint32_t CMPx);			//获取CMP比较器的内部参考电压


#endif //__SWM100_CMP_H__
